$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.56.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.56.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '706C24D3C1E6E169C88FFB3A5625D9537F074AF0E8FE67F2A661C74B4820B530'
  checksumType = 'sha256'
  checksum64 = '706C24D3C1E6E169C88FFB3A5625D9537F074AF0E8FE67F2A661C74B4820B530'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.56-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
